from math import floor
from resources.lib.const import PLAYER_SERVICE_EVENT
from resources.lib.kodilogging import service_logger
from resources.lib.players import BasePlayer


class StreamCinemaPlayer(BasePlayer):
    def __init__(self, service, player_core=0):
        super(StreamCinemaPlayer, self).__init__(service, player_core)
        self._service = service

    def monitor(self):
        self._service.periodicalCheck()

    def onAVStarted(self):
        service_logger.debug("onAVStarted")

    def onPlayBackStarted(self):
        service_logger.debug("Playback started")
        self._service.scrobble_start()

    def onPlayBackPaused(self):
        service_logger.debug("Playback paused")
        self._service.scrobble_pause()

    def onPlayBackResumed(self):
        service_logger.debug("Playback resumed")
        self._service.scrobble_start()

    def onPlayBackEnded(self):
        service_logger.debug("Playback ended")
        self._service.scrobble_stop()

    def onPlayBackStopped(self):
        service_logger.debug("Playback stopped")
        self._service.scrobble_stop()

    def onPlayBackSeek(self, time, offset):
        service_logger.debug("Playback seek time: %d, offset: %d" % (time, offset))
        self._service.scrobble_start()

    def onPlayBackSeekChapter(self, chapter):
        service_logger.debug("Playback seek chapter")
        self._service.scrobble_start()
